%define name	blacsmpi-devel	
%define	version 1.1
%define release	%mkrel 8
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Blacsmpi Basic Linear Algebra Communication Subprograms
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.netlib.org/blacs/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-patch03.tar.bz2
Patch0: 	%name-Bmake.in.patch
# Tell it to use f95 instead of f77 due to gfortran changes
Patch1:		blacsmpi-devel-1.1-f95.patch
Requires:	mpich-devel
Provides:	%{name}-%{version}
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mpich-devel 
BuildRequires:  gcc-gfortran

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project
is an ongoing investigation whose purpose is to create a linear 
algebra oriented message passing interface that may be implemented 
efficiently and uniformly across a large range of distributed memory 
platforms.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
cd $RPM_BUILD_DIR
tar xvfj %{SOURCE1}

%patch0 -p 0
%patch1 -p0 -b .f95

%build

cp $RPM_BUILD_DIR/%{name}-%{version}/BMAKES/Bmake.MPI-LINUX $RPM_BUILD_DIR/%{name}-%{version}/Bmake.inc

make mpi

%install
mkdir -p %{buildroot}/%_libdir/%{name}-%{version}
mkdir -p %{buildroot}/%_includedir


cp LIB/blacsCinit_MPI-LINUX-0.a %{buildroot}/%_libdir/%{name}-%{version}/blacsCinit_MPI-LINUX-0.a
cp LIB/blacsF77init_MPI-LINUX-0.a %{buildroot}/%_libdir/%{name}-%{version}/blacsF77init_MPI-LINUX-0.a
cp LIB/blacs_MPI-LINUX-0.a %{buildroot}/%_libdir/%{name}-%{version}/blacs_MPI-LINUX-0.a
cp SRC/MPI/Bconfig.h %{buildroot}/%_includedir/Bconfig.h
cp SRC/MPI/Bdef.h %{buildroot}/%_includedir/Bdef.h

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README
%{_libdir}/%{name}-%{version}/blacsCinit_MPI-LINUX-0.a
%{_libdir}/%{name}-%{version}/blacsF77init_MPI-LINUX-0.a
%{_libdir}/%{name}-%{version}/blacs_MPI-LINUX-0.a
%_includedir/Bdef.h
%_includedir/Bconfig.h


%changelog
* Thu May 24 2007 Adam Williamson <awilliamson@mandriva.com> 1.1-8mdv2008.0
+ Revision: 30560
- fix some commands using /usr/lib not %%_libdir, fixes x86-64 build
- patch1: use g95 not g77
- correct mpich requires (fix #16451)
- Import blacsmpi-devel



* Thu Nov 03 2005 Nicolas Lcureuil  <neoclust@mandriva.org> 1.1-7mdk
- Fix BuildRequires
- %%mkrel
- Remove packager tag

* Sun Oct 31 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1-6mdk
- add BuildRequires: libmpich1-devel gcc-g77
* Tue Aug 06 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-5mdk
- build with gcc 3.2
* Sun Jul 07 2002 Erwan Velu <erwan@mandrakesoft.com> 1.1-4mdk
- Rebuild
* Wed Jun 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-3mdk
- clean patch0
- use %%setup
- use more paths macros

* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-2mdk
- integrate mpi patch03 
* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-1mdk
- first release for Mandrakesoft
